
%define version 1.7
%define name userdrake

Summary:	A graphical interface for administering users and groups
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
#cvs source
# http://www.mandrivalinux.com/en/cvs.php3
Source0:	%{name}-%{version}.tar.lzma
URL:		http://people.mandriva.com/~daouda/mandrake/userdrake.html
License:	GPL
Group:		System/Configuration/Other
Requires:	drakxtools >= 10.4.26-1mdk, libuser >= 0.51.7-5mdk
Requires:	usermode-consoleonly >= 1.92-4mdv2008.0
Requires:	transfugdrake
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  gettext perl-devel libuser-devel libglib2.0-devel pam-devel

%description
Userdrake is a user-friendly and powerful tool for administrating users and 
groups. It depends on the libuser library. 

%prep
%setup -q
		
%build
cd USER
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make OPTIMIZE="$RPM_OPT_FLAGS -w" 

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install 

cd USER
%makeinstall_std
cd ..

#install lang
%{find_lang} userdrake


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-userdrake.desktop <<EOF
[Desktop Entry]
Name=User Administration
Comment=Add or remove users and groups
Exec=/usr/bin/userdrake
Icon=userdrake
Type=Application
StartupNotify=true
Categories=GTK;System;X-MandrivaLinux-CrossDesktop;
NoDisplay=true
EOF

# consolehelper configuration
ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/userdrake
ln -sf %{_bindir}/userdrake %{buildroot}%{_bindir}/drakuser
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
ln -sf %{_sysconfdir}/pam.d/mandriva-simple-auth %{buildroot}%{_sysconfdir}/pam.d/userdrake
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/
cat > %{buildroot}%{_sysconfdir}/security/console.apps/userdrake <<EOF
USER=root
PROGRAM=/usr/sbin/userdrake
FALLBACK=false
SESSION=true
EOF

# userdrake <-> drakuser
ln -s %{_sysconfdir}/pam.d/userdrake %{buildroot}%{_sysconfdir}/pam.d/drakuser
ln -s %{_sysconfdir}/security/console.apps/userdrake \
        %{buildroot}%{_sysconfdir}/security/console.apps/drakuser

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f userdrake.lang
%defattr(-,root,root)
%doc README COPYING RELEASE_NOTES
%config(noreplace) %{_sysconfdir}/sysconfig/userdrake
%config(noreplace) %{_sysconfdir}/pam.d/userdrake
%config(noreplace) %{_sysconfdir}/security/console.apps/userdrake
# two symlinks in sysconfdir
%{_sysconfdir}/pam.d/drakuser
%{_sysconfdir}/security/console.apps/drakuser
%{_prefix}/bin/*
%{_prefix}/sbin/*
%{_datadir}/userdrake
%{_mandir}/man3/USER*
%{_datadir}/applications/mandriva-*.desktop
%{perl_vendorarch}/USER.pm
%{perl_vendorarch}/auto/USER
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png



%changelog
* Thu Apr 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.7-1mdv2008.1
+ Revision: 192103
- translation updates

* Tue Mar 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6-1mdv2008.1
+ Revision: 190124
- translation updates

* Mon Mar 10 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5-1mdv2008.1
+ Revision: 183759
- renamed Uzbek translations to follow the libc standard (#35090)
- updated translation

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4-2mdv2008.1
+ Revision: 152167
- rebuild for new perl
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Oct 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4-1mdv2008.0
+ Revision: 95024
- updated translation

* Fri Sep 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.3-3mdv2008.0
+ Revision: 93602
- updated translation
- Requires transfugdrake in order to be able to check for windows partitions

* Mon Sep 24 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.11-3mdv2008.0
+ Revision: 92528
- enable to run migration assistant when adding a user

* Tue Sep 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.10-3mdv2008.0
+ Revision: 89787
- hide menu entry

* Thu Sep 13 2007 Andreas Hasenack <andreas@mandriva.com> 1.2.10-2mdv2008.0
+ Revision: 84834
- use new common pam config files for usermode/consolehelper

* Mon Sep 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.10-1mdv2008.0
+ Revision: 78601
- translation snapshot
- fix menu entry category (#33075)

* Fri Aug 31 2007 Andreas Hasenack <andreas@mandriva.com> 1.2.9-2mdv2008.0
+ Revision: 77136
- userdrake/drakuser: ask console user for root password
- also modify menu entry to point to /usr/bin instead of /usr/sbin


* Tue Mar 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.9-1mdv2007.1
+ Revision: 142367
- translation snapshot

* Mon Mar 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.8-1mdv2007.1
+ Revision: 141968
- translation snapshot

* Mon Feb 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.7-1mdv2007.1
+ Revision: 125810
- center error messages on main window
- fix crash when /etc/passwd contains mixed UTF-8 & ISO-Latin1 encoded
  characters (#28888)
- more transientness improvements

* Fri Nov 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.6-1mdv2007.1
+ Revision: 80837
- Import userdrake

* Mon Oct 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.6-1mdv2007.1
- fix retrieval of expiration date (brown paper bug #21662)
- HIG somewhat first tab of add & edit dialogs

* Sun Sep 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.5-1mdv2007.0
- fix menu section
- fix build
- updated translations
- XDG menu

* Fri Jun 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.4-1mdv2007.0
- fix linking with libuser (littletux@zarb.org, #22924)

* Fri Jun 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.3-1mdv2007.0
- fix "report a bug" entry in menu
- use standard about widget

* Fri Mar 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-1mdk
- cleanups
- assume GECOS data is utf-8 encoded (#4296)
- sub dialogs:
  o make them all really be dialogs
  o center them on their parent window
  o make them transcient to the main window
  o add a 5px border around the window (better looking)
- s/Mandrake/Mandriva/ (pablo)

* Sun Jan 01 2006 Daouda Lo <daouda@mandrakesoft.com> 1.2.1-3mdk
- Rebuild

* Tue Mar 08 2005 Daouda LO <daouda@mandrakesoft.com> 1.2.1-2mdk
- wrap an eval around sensitive home deletion
- home deletion option grayed when deletion might be dangerous (#11453)
- do not use absolute path to Mdk icons (oblin)
- leak patch for extra safefree((char*)self) in XS file (Francois Desarmenien)
- i18n updates

* Mon Feb 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-1mdk
- translation updates

* Wed Jan 26 2005 Daouda LO <daouda@mandrakesoft.com> 1.2-3mdk
- fix 'About' dialog crash 
- cleanups

* Fri Jan 21 2005 Daouda LO <daouda@mandrakesoft.com> 1.2-2mdk
- main loop fixed 
- rebuild against new perl (XS)

* Wed Jan 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2-1mdk
- fix crash when embedded
- show banner when embedded

* Tue Nov 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1-4mdk
- rebuild for new perl

* Tue Oct 05 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.1-3mdk
- rebuild

* Tue Oct 05 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-2mdk
- updated translations

* Tue Jul 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-1mdk
- Daouda: restore mouse cursor in sub dialogs
- Olivier Blin:
  o do not crash in Delete when user is in non-existing group (#10242)
  o stop the add process if an error happened when adding a user
  o do not die when removing a non existent directory, just warn (#10241)
  o fix dialogs (#10246):
    * do not quit the whole program on success,
    * wait for the answer to really return the choice made by the user
  o really handle the group choice made by the user
- Thierry Vignaud:
  o get rid of stock icons
  o fix button layouts in dialogs
  o set window icon

* Thu May 27 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-3mdk
- right mouse click on Treeview items to access menu (Edit, Delete)
- don't allow more than 16 char to be consistent with groupadd (tvignaud)

* Tue May 11 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-2mdk
- use md5sum to find current face icon (Oliver Blin) - #9653

* Tue May 11 2004 Daouda LO <daouda@mandrakesoft.com> 1.0-1mdk
- bumped to 1.0 (stable enough)
- random icon display and icon browsing fixes #8085 - #9653 (Olivier
  Blin)

